PHP.SU

Программирование на PHP, MySQL и другие веб-технологии
PHP.SU Портал     На главную страницу форума Главная     Помощь Помощь     Поиск Поиск     Поиск Яндекс Поиск Яндекс     Вакансии  Пользователи Пользователи


 Страниц (2): « 1 [2]   

> Без описания
SAD
Отправлено: 03 Ноября, 2015 - 11:30:26
Post Id



Постоянный участник


Покинул форум
Сообщений всего: 2528
Дата рег-ции: Май 2009  
Откуда: Днепропетровск, Украина


Помог: 75 раз(а)




Viper пишет:
это дерьмецо ещё год качать...


Be a pirate Luke
 
 Top
DelphinPRO
Отправлено: 03 Ноября, 2015 - 17:18:08
Post Id



Активный участник


Покинул форум
Сообщений всего: 7190
Дата рег-ции: Февр. 2012  


Помог: 353 раз(а)





Viper пишет:
это дерьмецо ещё год качать...

Это если с сайта скачивать. Бесплатно. Но ведь торренты никто не отменял? Да и доант там символический.
Автор сборки не запрещает раздачу своего творения, так что можно с чистой совестью поискать на руктрекере Улыбка


По теме:
как сказал вайпер, нужно установить модуль ssl
или можно использовать composer.phar https://getcomposer[dot]org/composer[dot]phar
Просто кладите этот файл в корень вашего проекта (не забудьте добавить в гитигнор, если проект под гитом) и используйте



-----
Чем больше узнаю, тем больше я не знаю.
 
 Top
higub
Отправлено: 05 Декабря, 2015 - 08:44:20
Post Id



Новичок


Покинул форум
Сообщений всего: 56
Дата рег-ции: Нояб. 2015  


Помог: 0 раз(а)

[+]


вам может в установке поможет команда wiget и сюда zip ссылку Закатив глазки
 
 Top
bormborm
Отправлено: 27 Июля, 2016 - 21:38:20
Post Id


Новичок


Покинул форум
Сообщений всего: 1
Дата рег-ции: Июль 2016  


Помог: 0 раз(а)




Здравствуйте.
У меня проблема более странная.

Установил OpenServer, композером не пользовался.

Год спустя установил композер(которого, кстати, не было в комплекте) инсталлером в папку php-5.6 опенсервера.

Обновил опенсервер (старый не поддерживал php7), удалил композер, который был в комплекте и установил новый. Старый путь удалил, новый прописал.
CODE (htmlphp):
скопировать код в буфер обмена
  1. C:\Users\Borm>path
  2. PATH=C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common;C:\Windows\system32;
  3. C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;
  4. C:\HashiCorp\Vagrant\bin;C:\Program Files\Git\bin;C:\Users\Borm\App
  5. Data\Roaming\Composer;D:\OpenServer\modules\php\PHP-7-x64;C:\ProgramData\Compose
  6. rSetup\bin;C:\Users\Borm\AppData\Roaming\Composer\vendor\bin
Ошибка по-прежнему присутствует.
При попытке запуска композера выдается такая вот ошибка
CODE (htmlphp):
скопировать код в буфер обмена
  1. C:\Users\Borm>composer
  2. """" не является внутренней или внешней
  3. командой, исполняемой программой или пакетным файлом.

В то же время команда "php" работает нормально. Ручная установка композера в папку проекта "php composer.phar init" - тоже работает, однако доставляет тонны неудобства из-за невозможности решить первоначальную проблему.
CODE (htmlphp):
скопировать код в буфер обмена
  1. C:\Users\Borm>php -v
  2. PHP 7.0.8 (cli) (built: Jun 21 2016 15:15:15) ( ZTS )
  3. Copyright (c) 1997-2016 The PHP Group
  4. Zend Engine v3.0.0, Copyright (c) 1998-2016 Zend Technologies


edit: в консоли OpenServer композер работает нормально, а в командной строке - вышеупомянутая ошибка.

(Отредактировано автором: 27 Июля, 2016 - 22:02:55)

 
 Top
Viper
Отправлено: 28 Июля, 2016 - 09:29:48
Post Id



Активный участник


Покинул форум
Сообщений всего: 4565
Дата рег-ции: Февр. 2007  
Откуда: Симферополь


Помог: 98 раз(а)




Зачем в AppData ставить было?


-----
Список фильмов с описанием, блекджеком и... для Joomla? -> https://киноархив[dot]com
Демо нового движка для сайта php.su -> php[dot]su, проект на гитхабе
 
 Top
kuller
Отправлено: 28 Июля, 2016 - 20:46:08
Post Id



Частый посетитель


Покинул форум
Сообщений всего: 531
Дата рег-ции: Нояб. 2009  


Помог: 2 раз(а)




в опенсервер по умолчанию композер уже стоит. Консоль надо открывать также из опенсервер.

Консоль - виндовс работать не будет.
 
 Top
Viper
Отправлено: 28 Июля, 2016 - 21:18:56
Post Id



Активный участник


Покинул форум
Сообщений всего: 4565
Дата рег-ции: Февр. 2007  
Откуда: Симферополь


Помог: 98 раз(а)




kuller пишет:
Консоль - виндовс работать не будет.
это видимо какая-то "фича" конкретно опенсервера? Т.к. composer отлично пашет из под консоли винды.


-----
Список фильмов с описанием, блекджеком и... для Joomla? -> https://киноархив[dot]com
Демо нового движка для сайта php.su -> php[dot]su, проект на гитхабе
 
 Top
sholazar
Отправлено: 18 Октября, 2016 - 17:09:29
Post Id


Новичок


Покинул форум
Сообщений всего: 1
Дата рег-ции: Апр. 2016  


Помог: 0 раз(а)




bormborm пишет:

edit: в консоли OpenServer композер работает нормально, а в командной строке - вышеупомянутая ошибка.


столкнулся с аналогичной проблемой
Есть ли решение??
 
 Top
Страниц (2): « 1 [2]
Сейчас эту тему просматривают: 1 (гостей: 1, зарегистрированных: 0)
« CMS и фреймворки »


Все гости форума могут просматривать этот раздел.
Только зарегистрированные пользователи могут создавать новые темы в этом разделе.
Только зарегистрированные пользователи могут отвечать на сообщения в этом разделе.
 



Powered by PHP  Powered By MySQL  Powered by Nginx  Valid CSS  RSS

 
Powered by ExBB FM 1.0 RC1. InvisionExBB